summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorMatt Clay <matt@mystile.com>2020-12-02 12:05:30 -0800
committerMatt Clay <matt@mystile.com>2020-12-02 13:40:01 -0800
commit3a633b278dcbf309d3e24c8a0f645922eb945ded (patch)
tree2884d28d7f25c43f20d7ffb634a7014ee7a6138c /test
parenta59825128d82f39fd935e690a12e77f0d82ecab8 (diff)
downloadansible-3a633b278dcbf309d3e24c8a0f645922eb945ded.tar.gz
[devel] Azure Pipelines configuration.
Diffstat (limited to 'test')
-rwxr-xr-xtest/utils/shippable/shippable.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/test/utils/shippable/shippable.sh b/test/utils/shippable/shippable.sh
index 55d6828971..10f32f044e 100755
--- a/test/utils/shippable/shippable.sh
+++ b/test/utils/shippable/shippable.sh
@@ -13,7 +13,7 @@ docker images ansible/ansible
docker images quay.io/ansible/*
docker ps
-for container in $(docker ps --format '{{.Image}} {{.ID}}' | grep -v -e '^drydock/' -e '^quay.io/ansible/shippable-build-container:' | sed 's/^.* //'); do
+for container in $(docker ps --format '{{.Image}} {{.ID}}' | grep -v -e '^drydock/' -e '^quay.io/ansible/shippable-build-container:' -e '^quay.io/ansible/azure-pipelines-test-container:' | sed 's/^.* //'); do
docker rm -f "${container}" || true # ignore errors
done
@@ -146,7 +146,7 @@ function cleanup
fi
}
-trap cleanup EXIT
+if [ "${SHIPPABLE_BUILD_ID:-}" ]; then trap cleanup EXIT; fi
if [[ "${COVERAGE:-}" == "--coverage" ]]; then
timeout=60
@@ -156,5 +156,5 @@ fi
ansible-test env --dump --show --timeout "${timeout}" --color -v
-"test/utils/shippable/check_matrix.py"
+if [ "${SHIPPABLE_BUILD_ID:-}" ]; then "test/utils/shippable/check_matrix.py"; fi
"test/utils/shippable/${script}.sh" "${test}"